# ANC Pregnancy Detail

| **API URL**     | {{url}}/spice-service/medical-review/anc-pregnancy/detail |
| --------------- | --------------------------------------------------------- |
| **Method**      | POST                                                      |
| **Description** | List details of ANC Pregnancy in medical review           |

#### **Input:** <a href="#ancpregnancydetail-v2-input" id="ancpregnancydetail-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | Bigint   | Yes           | Patient id                                                                                                                              |
| patientReference       | Bigint   | Yes           | Patient Reference id                                                                                                                    |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#ancpregnancydetail-v2-sampleinput" id="ancpregnancydetail-v2-sampleinput"></a>

{\
"id": "1",\
"patientReference": "22"\
}

#### **Output:** <a href="#ancpregnancydetail-v2-output" id="ancpregnancydetail-v2-output"></a>

| **Field Name** | **Type** | **Comments**                          |
| -------------- | -------- | ------------------------------------- |
| message        | String   | MedicalReview created successfully    |
| entity         | String   | Response Entity                       |
| id             | Bigint   | Medical review id                     |
| visitNumber    | Bigint   | Visit Number of patient               |
| patientStatus  | String   | Patient Status                        |
| diagnosis      | String   | Patient Diagnosis                     |
| memberId       | Bigint   | House hold member id                  |
| clinicalNotes  | String   | Clinical Notes for the medical review |
| weight         | Long     | Patient Weight                        |
| pulse          | Bigint   | Patient pulse                         |
| bmi            | Long     | BMI of patient                        |
| summaryStatus  | String   | Summary Status                        |
| value          | String   | Value of Summary Status               |
| name           | String   | Name of Summary Status                |
| height         | Long     | Height of patient                     |
| investigations | String   | Patient Investigations                |
| status         | Boolean  | Response status                       |

#### **Sample Output:** <a href="#ancpregnancydetail-v2-sampleoutput" id="ancpregnancydetail-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview Details fetched successfully.",
  "entity": {
    "id": "1",
    "presentingComplaints": null,
    "presentingComplaintsNotes": null,
    "obstetricExaminations": null,
    "obstetricExaminationNotes": null,
    "visitNumber": 1,
    "patientStatus": null,
    "diagnosis": [],
    "memberId": null,
    "clinicalNotes": "Health",
    "weight": 45,
    "pulse": null,
    "diastolic": null,
    "systolic": null,
    "bmi": 148.76,
    "fundalHeight": null,
    "fetalHeartRate": null,
    "dateOfReview": null,
    "prescriptions": [],
    "summaryStatus": [
      {
        "value": "OnTreatment",
        "name": "Pregnant, On Treatment"
      },
      {
        "value": "Recovered",
        "name": "Pregnant, Recovered"
      }
    ],
    "height": 55,
    "investigations": []
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/anc-pregnancy-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
